Update invoice due date by transaction id

Endpoint to update an existing due date invoice by transaction id.

To be able to update the invoice, it must already exist and cannot have been paid.

After the update the revision_count field will be incremented by one.

Path Params
string
required

A universally unique identifier (UUID) of the account

string
required

The txid field determines the transaction identifier.

It will be the main way to be able to reconcile a receipt

In transactions with online QRCode field will have up to 26-35 characters in offline transactions will have 1-25 characters

Body Params

Invoice due date update request data

date
required

Invoice due date.

integer

Expiration time of invoice in days.

customer
object
required
string
required
^\d{1,10}\.\d{2}$

Original amount.

default_interest
object
tax_break
object
discount
object
penalty
object
string
length ≤ 200

Payment label presented to the payer.

meta_data
object

Key, Value properties. Can you chose which data you wanna storage with us associated with invoice and pix.

string
^BVC+[A-Za-z0-9]{6}

Identification code issuer of QRCode.

Responses

401

Necessary Authentication token or you pass a invalid Token.

403

Necessary permission scope.

404

Resource not found.

406

Not acceptable for the Server.

500

Internal server error.

503

Service Unavailable.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json